############################################################################
#
#  Program:         ScaLAPACK
#
#  Module:          SLmake.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 15, 2000
#
#  Modified:
#
#  Send bug reports, comments or suggestions to scalapack@cs.utk.edu
#
############################################################################
#
SHELL         = /bin/sh
#
#  The complete path to the top level of ScaLAPACK directory, usually
#  $(HOME)/SCALAPACK
#
home          = (HOME)
#
#  The platform identifier to suffix to the end of library names
#
PLAT          = LINUX
#
#  BLACS setup.  All version need the debug level (0 or 1),
#  and the directory where the BLACS libraries are
#
BLACSDBGLVL   = 0
BLACSdir      = (LIBDIR)
#
#  MPI setup; tailor to your system if using MPIBLACS
#  Will need to comment out these 6 lines if using PVM
#
USEMPI        = -DUsingMpiBlacs
SMPLIB        = -L(LIBEXECDIR)/openmpi/lib -lmpi -lmpi_f77 -ldat -lrdmacm -Wl,-R(LIBEXECDIR)/openmpi/lib
BLACSFINIT    = -lblacsF77init
BLACSCINIT    = -lblacsCinit
BLACSLIB      = -lblacs
TESTINGdir    = (HOME)/TESTING

#
#  PVMBLACS setup, uncomment next 6 lines if using PVM
#
#USEMPI        =
#SMPLIB        = $(PVM_ROOT)/lib/$(PLAT)/libpvm3.a
#BLACSFINIT    =
#BLACSCINIT    =
#BLACSLIB      = $(BLACSdir)/blacs_PVM-$(PLAT)-$(BLACSDBGLVL).a
#TESTINGdir    = $(HOME)/pvm3/bin/$(PLAT)

CBLACSLIB     = $(BLACSCINIT) $(BLACSLIB) $(BLACSCINIT)
FBLACSLIB     = $(BLACSFINIT) $(BLACSLIB) $(BLACSFINIT)

#
#  The directories to find the various pieces of ScaLapack
#
PBLASdir      = (HOME)/PBLAS
SRCdir        = (HOME)/SRC
TESTdir       = (HOME)/TESTING
PBLASTSTdir   = $(TESTINGdir)
TOOLSdir      = (HOME)/TOOLS
REDISTdir     = (HOME)/REDIST
REDISTTSTdir  = $(TESTINGdir)
#
#  The fortran and C compilers, loaders, and their flags
#
F77           = (LIBEXECDIR)/openmpi/bin/mpif77 -I(LIBEXECDIR)/openmpi/include
CC            = (LIBEXECDIR)/openmpi/bin/mpicc -I(LIBEXECDIR)/openmpi/include
NOOPT         = 
F77FLAGS      = (OPTFLAGS) $(NOOPT)
#F77FLAGS      = -O3 $(NOOPT)
CCFLAGS       = (OPTFLAGS)
#CCFLAGS       = 
SRCFLAG       =
F77LOADER     = $(F77)
CCLOADER      = $(CC)
F77LOADFLAGS  =
CCLOADFLAGS   =
#
#  C preprocessor defs for compilation 
#  (-DNoChange, -DAdd_, -DUpCase, or -Df77IsF2C)
#
#CDEFS         = -Df77IsF2C -DNO_IEEE $(USEMPI)
#CDEFS         = -Df77IsF2C $(USEMPI)
CDEFS         = -DAdd_ $(USEMPI)
#CDEFS         = -DNoChange $(USEMPI)
#
#  The archiver and the flag(s) to use when building archive (library)
#  Also the ranlib routine.  If your system has no ranlib, set RANLIB = echo
#
ARCH          = ar
ARCHFLAGS     = cr
#ARCHFLAGS     = r
RANLIB        = ranlib
#
#  The name of the libraries to be created/linked to
#
SCALAPACKLIB  = (HOME)/libscalapack_LINUX-$(BLACSDBGLVL).a
BLASLIB       = -lf77blas -latlas
LAPACKLIB     = -llapack
#
PBLIBS        = $(SCALAPACKLIB) $(FBLACSLIB) $(LAPACKLIB) $(BLASLIB) $(SMPLIB)
PRLIBS        = $(SCALAPACKLIB) $(CBLACSLIB) $(SMPLIB)
RLIBS         = $(SCALAPACKLIB) $(FBLACSLIB) $(CBLACSLIB) $(LAPACKLIB) $(BLASLIB) $(SMPLIB)
LIBS          = $(PBLIBS)
